summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /sys-apps/cciss_vol_status
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'sys-apps/cciss_vol_status')
-rw-r--r--sys-apps/cciss_vol_status/Manifest4
-rw-r--r--sys-apps/cciss_vol_status/cciss_vol_status-1.03.ebuild18
-rw-r--r--sys-apps/cciss_vol_status/cciss_vol_status-1.09-r1.ebuild22
-rw-r--r--sys-apps/cciss_vol_status/cciss_vol_status-1.09.ebuild20
-rw-r--r--sys-apps/cciss_vol_status/cciss_vol_status-1.10.ebuild22
-rw-r--r--sys-apps/cciss_vol_status/cciss_vol_status-1.11.ebuild22
-rw-r--r--sys-apps/cciss_vol_status/files/1.06-strlen-typo.patch12
-rw-r--r--sys-apps/cciss_vol_status/files/cciss_vol_status.cron21
-rw-r--r--sys-apps/cciss_vol_status/metadata.xml12
9 files changed, 153 insertions, 0 deletions
diff --git a/sys-apps/cciss_vol_status/Manifest b/sys-apps/cciss_vol_status/Manifest
new file mode 100644
index 00000000000..5323176b1d0
--- /dev/null
+++ b/sys-apps/cciss_vol_status/Manifest
@@ -0,0 +1,4 @@
+DIST cciss_vol_status-1.03.tar.gz 86581 SHA256 b3cdcadba4dc8637c70aac9d594e32acbbe2bc323915cce5b2722e631c05c8c0
+DIST cciss_vol_status-1.09.tar.gz 104978 SHA256 93520050c3b1742288b92314585d1c0d4eaed9799747b8fc0c06977bbf5b74e4 SHA512 c773c6addcb26a3c635c28f9ebad7b9a5c2457516ffa87548fe0d3cee5ff864267dbe7c4dfccef0ed1c40d0273a833475ce4c96ba51f755776059daee892d114 WHIRLPOOL a3dcd382d5100c41bd0ff9900a3c6edba5e23a40711fbf9ec2762f596580947e51e31795b3d5a2daf4a299d68f798bba7500b5cb7e607a05f9cc39788abd0f48
+DIST cciss_vol_status-1.10.tar.gz 107233 SHA256 803110bf3f7d49f3b03e299e9a5209eba2661631bd07630672e497a6e182a504 SHA512 2010a9fd90b3e4c1d21ae6946c8085df96d15e4d4ce732d6488034e96f1d029f48d6226190c7422f9d99ab2994315c0514c534bb79aafd52b52bd27498428461 WHIRLPOOL a3b80b9f914621fbcc8251c942638d7eef35dad40fdfe9f795ed2693045e36f3e5c5bf8559f49320679114b9fbde88b75b26cda33d13cdb80c36629df2380478
+DIST cciss_vol_status-1.11.tar.gz 112316 SHA256 98c3c798cd8f322af8c8f18b19be069a137af15fce9e4022edee3ea7371df919 SHA512 20a80367a794a7f805f3b40184e93bd4f85e8ce2a7784eba1d2d68cbffc8299cbe121f9bf25e7112abec1269802f8146f3fc36501fb72536b1aee384e8d32064 WHIRLPOOL 70e7f5aa2f72e14e75df3c98b92bc03505ac770776bce1730c972bdf7f84808467275da93cf89e6eeab3e6af1096d8f51e35ef030a98d45ddcb3394d450fecaf
diff --git a/sys-apps/cciss_vol_status/cciss_vol_status-1.03.ebuild b/sys-apps/cciss_vol_status/cciss_vol_status-1.03.ebuild
new file mode 100644
index 00000000000..61929072e0f
--- /dev/null
+++ b/sys-apps/cciss_vol_status/cciss_vol_status-1.03.ebuild
@@ -0,0 +1,18 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+IUSE=""
+DESCRIPTION="Shows status of logical drives attached to HP SmartArray controllers"
+HOMEPAGE="http://cciss.sourceforge.net/#cciss_utils"
+LICENSE="GPL-2"
+SRC_URI="mirror://sourceforge/cciss/${P}.tar.gz"
+KEYWORDS="amd64 x86"
+SLOT="0"
+RDEPEND=""
+DEPEND=""
+
+src_install() {
+ emake DESTDIR="${D}" install || die "Install failed."
+ dodoc AUTHORS ChangeLog NEWS README
+}
diff --git a/sys-apps/cciss_vol_status/cciss_vol_status-1.09-r1.ebuild b/sys-apps/cciss_vol_status/cciss_vol_status-1.09-r1.ebuild
new file mode 100644
index 00000000000..eda2df3233c
--- /dev/null
+++ b/sys-apps/cciss_vol_status/cciss_vol_status-1.09-r1.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+IUSE=""
+DESCRIPTION="Shows status of logical drives attached to HP SmartArray controllers"
+HOMEPAGE="http://cciss.sourceforge.net/#cciss_utils"
+LICENSE="GPL-2"
+SRC_URI="mirror://sourceforge/cciss/${P}.tar.gz"
+KEYWORDS="amd64 x86"
+SLOT="0"
+RDEPEND=""
+DEPEND=""
+
+src_install() {
+ emake DESTDIR="${D}" install || die "Install failed."
+ dodoc AUTHORS ChangeLog NEWS README
+ exeinto /etc/cron.daily
+ newexe "${FILESDIR}/cciss_vol_status.cron" cciss_vol_status
+}
diff --git a/sys-apps/cciss_vol_status/cciss_vol_status-1.09.ebuild b/sys-apps/cciss_vol_status/cciss_vol_status-1.09.ebuild
new file mode 100644
index 00000000000..3237872cad8
--- /dev/null
+++ b/sys-apps/cciss_vol_status/cciss_vol_status-1.09.ebuild
@@ -0,0 +1,20 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+IUSE=""
+DESCRIPTION="Shows status of logical drives attached to HP SmartArray controllers"
+HOMEPAGE="http://cciss.sourceforge.net/#cciss_utils"
+LICENSE="GPL-2"
+SRC_URI="mirror://sourceforge/cciss/${P}.tar.gz"
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+RDEPEND=""
+DEPEND=""
+
+src_install() {
+ emake DESTDIR="${D}" install || die "Install failed."
+ dodoc AUTHORS ChangeLog NEWS README
+}
diff --git a/sys-apps/cciss_vol_status/cciss_vol_status-1.10.ebuild b/sys-apps/cciss_vol_status/cciss_vol_status-1.10.ebuild
new file mode 100644
index 00000000000..26048498a28
--- /dev/null
+++ b/sys-apps/cciss_vol_status/cciss_vol_status-1.10.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+IUSE=""
+DESCRIPTION="Shows status of logical drives attached to HP SmartArray controllers"
+HOMEPAGE="http://cciss.sourceforge.net/#cciss_utils"
+LICENSE="GPL-2"
+SRC_URI="mirror://sourceforge/cciss/${P}.tar.gz"
+KEYWORDS="amd64 ~ia64 x86"
+SLOT="0"
+RDEPEND=""
+DEPEND=""
+
+src_install() {
+ emake DESTDIR="${D}" install || die "Install failed."
+ dodoc AUTHORS ChangeLog NEWS README
+ exeinto /etc/cron.hourly
+ newexe "${FILESDIR}/cciss_vol_status.cron" cciss_vol_status
+}
diff --git a/sys-apps/cciss_vol_status/cciss_vol_status-1.11.ebuild b/sys-apps/cciss_vol_status/cciss_vol_status-1.11.ebuild
new file mode 100644
index 00000000000..e6084b45ddf
--- /dev/null
+++ b/sys-apps/cciss_vol_status/cciss_vol_status-1.11.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+IUSE=""
+DESCRIPTION="Shows status of logical drives attached to HP SmartArray controllers"
+HOMEPAGE="http://cciss.sourceforge.net/#cciss_utils"
+LICENSE="GPL-2"
+SRC_URI="mirror://sourceforge/cciss/${P}.tar.gz"
+KEYWORDS="~amd64 ~ia64 ~x86"
+SLOT="0"
+RDEPEND=""
+DEPEND=""
+
+src_install() {
+ emake DESTDIR="${D}" install || die "Install failed."
+ dodoc AUTHORS ChangeLog NEWS README
+ exeinto /etc/cron.hourly
+ newexe "${FILESDIR}/cciss_vol_status.cron" cciss_vol_status
+}
diff --git a/sys-apps/cciss_vol_status/files/1.06-strlen-typo.patch b/sys-apps/cciss_vol_status/files/1.06-strlen-typo.patch
new file mode 100644
index 00000000000..a65f29dac08
--- /dev/null
+++ b/sys-apps/cciss_vol_status/files/1.06-strlen-typo.patch
@@ -0,0 +1,12 @@
+diff -uNr cciss_vol_status-1.06.ORIG//cciss_vol_status.c cciss_vol_status-1.06/cciss_vol_status.c
+--- cciss_vol_status-1.06.ORIG//cciss_vol_status.c 2010-05-02 16:33:47.634833662 +0100
++++ cciss_vol_status-1.06/cciss_vol_status.c 2010-05-02 16:34:03.351822015 +0100
+@@ -1004,7 +1004,7 @@
+ if (status < 0)
+ return 0;
+ for (i = 0; prod[i] != NULL; i++) {
+- if (strncmp(std_inq+8, prod[i], strnlen(prod[i])) == 0)
++ if (strncmp(std_inq+8, prod[i], strlen(prod[i])) == 0)
+ return 1;
+ }
+ return 0;
diff --git a/sys-apps/cciss_vol_status/files/cciss_vol_status.cron b/sys-apps/cciss_vol_status/files/cciss_vol_status.cron
new file mode 100644
index 00000000000..8d1175b4567
--- /dev/null
+++ b/sys-apps/cciss_vol_status/files/cciss_vol_status.cron
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+test -x /usr/bin/cciss_vol_status || exit 0
+
+STATUS=0
+
+if [ -d /proc/driver/cciss ]; then
+ DEVS=`awk -F: '/^cciss\/c.*d0/{print "/dev/" $1}' /proc/driver/cciss/cciss*`
+ OUTPUT=`/usr/bin/cciss_vol_status $DEVS`
+ if [ $? -ne 0 ]; then
+ printf "%s\n" "$OUTPUT"
+ exit 1
+ fi
+fi
+# FIXME: This cronjob should also look at the scsi generic nodes
+# (/dev/sg*?) to cover the hpsa driver, fibre-attached MSA1000 family
+# devices, orthehpahcisr software RAID driver (see cciss_vol_status(8)
+# about how to choose the correct nodes -- i don't use these other
+# devices, so i cannot verify how to check them cleanly)
+#
+exit 0
diff --git a/sys-apps/cciss_vol_status/metadata.xml b/sys-apps/cciss_vol_status/metadata.xml
new file mode 100644
index 00000000000..6bfcaebb086
--- /dev/null
+++ b/sys-apps/cciss_vol_status/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>base-system</herd>
+ <maintainer>
+ <email>chainsaw@gentoo.org</email>
+ <name>Tony Vroon</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="sourceforge">cciss</remote-id>
+ </upstream>
+</pkgmetadata>